#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin >> t;
    for (int j = 0; j < t; j++) {
        int n;
        cin >> n;
        vector <int> v(n);
        for (int i = 0; i < n; i++)
        cin >> v[i];

        bool flag1 = false;
        bool flag = true;
        sort(v.begin(), v.end());
        if (!flag1)
        do {
            flag = true;
            for (int i = 1; i <= n-2; i++)
                if (v[i-1] + v[i+1] < v[i] * 2) {
                    flag = false;
                    break;
                }
            if (flag) {
                flag1 = true;
                cout << "YES" << endl;
                break;
            }
            //for (int i = 0; i < n; i++)
           // cout << v[i] << " ";
            //cout << endl;
        } while (next_permutation(v.begin(), v.end()));
        if (!flag1) {
        cout << "NO" << endl;
       // for (int x = 0; x < n; x++)
       // cout << v[x] << " ";
      //  cout << endl;
        }
        v.clear();
    }
}